Bug 23292 - QA specific tests
QA specific tests
Product: eCos
Classification: Retired
Component: QA (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: ecc-bugs-int
Depends On:
  Show dependency treegraph
Reported: 2001-01-04 08:28 EST by Jesper Skov
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-20 11:46:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jesper Skov 2001-01-04 08:28:55 EST
We need some eCos tests to qualify specific features, particular GDB
features, during QA. By extending the QA process with tests written
specifically for interactive testing, we should get a better (and more
consistent) cover of features that may otherwise only get tested by

 o GDB single stepping
    - test s / n commands  (series of functions calling each other)
    - test bt when at bottom of call chain
    - test si / ni commands
    - test the scheduler-lock GDB/stub feature [this one is hard]

 o Selective linking
    - Build test with known-dead function in. Use objdump/nm to ensure
      it's been nuked. Same for .data, .rodata, and .bss objects.
Comment 1 Alex Schuilenburg 2003-06-20 11:46:07 EDT
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id>23292

Note You need to log in before you can comment on or make changes to this bug.